org.jboss.resteasy.client

## Class ProxyBuilder<T>

- java.lang.Object
- - org.jboss.resteasy.client.ProxyBuilder<T>

- Type Parameters:
    `T` -

  Deprecated.

      @Deprecated
      public class ProxyBuilder<T>
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ProxyBuilder<T>` | `build(Class<T> iface, String base)` Deprecated.
    `static <T> ProxyBuilder<T>` | `build(Class<T> iface, URI base)` Deprecated.
    `ProxyBuilder<T>` | `classloader(ClassLoader cl)` Deprecated.
    `static <T> T` | `createProxy(Class<T> iface, URI baseUri, ProxyConfig config)` Deprecated.
    `ProxyBuilder<T>` | `executor(ClientExecutor exec)` Deprecated.
    `ProxyBuilder<T>` | `extractorFactory(EntityExtractorFactory fact)` Deprecated.
    `T` | `now()` Deprecated.
    `ProxyBuilder<T>` | `providerFactory(ResteasyProviderFactory fact)` Deprecated.
    `ProxyBuilder<T>` | `requestAttributes(Map<String,Object> attrs)` Deprecated.
    `ProxyBuilder<T>` | `serverConsumes(MediaType type)` Deprecated.
    `ProxyBuilder<T>` | `serverMediaType(MediaType type)` Deprecated. shortcut for serverProduces(type).serverConsumes(type)
    `ProxyBuilder<T>` | `serverProduces(MediaType type)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public static <T> ProxyBuilder<T> build(Class<T> iface,
                                  URI base)

      Deprecated.

    - #### build

          public static <T> ProxyBuilder<T> build(Class<T> iface,
                                  String base)

      Deprecated.

    - #### classloader

          public ProxyBuilder<T> classloader(ClassLoader cl)

      Deprecated.

    - #### executor

          public ProxyBuilder<T> executor(ClientExecutor exec)

      Deprecated.

    - #### providerFactory

          public ProxyBuilder<T> providerFactory(ResteasyProviderFactory fact)

      Deprecated.

    - #### extractorFactory

          public ProxyBuilder<T> extractorFactory(EntityExtractorFactory fact)

      Deprecated.

    - #### serverMediaType

          public ProxyBuilder<T> serverMediaType(MediaType type)

      Deprecated.
      shortcut for serverProduces(type).serverConsumes(type)

    - #### serverProduces

          public ProxyBuilder<T> serverProduces(MediaType type)

      Deprecated.

    - #### serverConsumes

          public ProxyBuilder<T> serverConsumes(MediaType type)

      Deprecated.

    - #### requestAttributes

          public ProxyBuilder<T> requestAttributes(Map<String,Object> attrs)

      Deprecated.

    - #### now

          public T now()

      Deprecated.

    - #### createProxy

          public static <T> T createProxy(Class<T> iface,
                          URI baseUri,
                          ProxyConfig config)

      Deprecated.

Copyright © 2014. All Rights Reserved.